Package org.apache.cxf.security.claims.authorization

# Annotation Interface Claim

@Target({TYPE,METHOD}) @Retention(RUNTIME) public @interface Claim

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String[]`
  `value`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `format`
  `boolean`
  `matchAll`
  If set to true then all the values of this claim have to be matched
  `ClaimMode`
  `mode`
  If set to ClaimMode.LAX then the match will fail only if the incoming assertion has the same name and format claim with non-matching values
  `String`
  `name`

- ## Element Details

  - ### value

    String[] value

- - ### format

    String format
    Default:
      "urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"

  - ### name

    String name
    Default:
      "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/role"

  - ### matchAll

    boolean matchAll
    If set to true then all the values of this claim have to be matched
    Default:
      false

  - ### mode

    ClaimMode mode
    If set to ClaimMode.LAX then the match will fail only if the incoming assertion has the same name and format claim with non-matching values
    Default:
      STRICT